<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:theme="@style/AriDroid.Theme"
    android:background="?attr/colorSurface"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".MainActivity">

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintLeft_toLeftOf="parent">
        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <TextView
                android:id="@+id/musicListHeader"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="10dp"
                android:layout_marginVertical="10dp"
                app:layout_constraintTop_toTopOf="parent"
                android:fontFamily="@font/inter_black"
                android:text="@string/releases_list_title"
                android:textColor="?attr/colorOnSurface"
                android:textSize="32sp" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/musicList"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginVertical="5dp"
                app:layout_constraintTop_toBottomOf="@id/musicListHeader"/>

            <TextView
                android:id="@+id/artistListHeader"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="10dp"
                android:layout_marginVertical="10dp"
                app:layout_constraintTop_toBottomOf="@id/musicList"
                android:textSize="32sp"
                android:fontFamily="@font/inter_black"
                android:textColor="?attr/colorOnSurface"
                android:text="@string/artists_list_title" />
            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/artistList"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginVertical="5dp"
                app:layout_constraintTop_toBottomOf="@id/artistListHeader"/>

        </androidx.constraintlayout.widget.ConstraintLayout>
    </androidx.core.widget.NestedScrollView>
</androidx.constraintlayout.widget.ConstraintLayout>